## resvg 0.8.0

=== examples/cairo-capi/Makefile ===
TARGET = example
LIBS = -lm -L../../target/debug -lresvg `pkg-config --libs gtk+-3.0`
CC = gcc
CFLAGS = -g -Wall `pkg-config --cflags gtk+-3.0` -I../../capi/include -DRESVG_CAIRO_BACKEND

.PHONY: default all clean

default: $(TARGET)
all: default

OBJECTS = $(patsubst %.c, %.o, $(wildcard *.c))

%.o: %.c $(CC) $(CFLAGS) -c $< -o $@

.PRECIOUS: $(TARGET) $(OBJECTS)

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) -Wall $(LIBS) -o $@

clean:
	-rm -f *.o
	-rm -f $(TARGET)

=== tools/kde-dolphin-thumbnailer/CMakeLists.txt ===
project(resvgthumbnailer)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.6.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui)
find_package(KF5 REQUIRED COMPONENTS KIO I18n Config)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../../capi/include
)

# TODO: doesn't work
#find_library(RESVG_LIBRARY NAMES "libresvg.a" PATHS ${CMAKE_CURRENT_SOURCE_DIR}/../../target/release NO_DEFAULT_PATH)

set(resvgthumbnailer_PART_SRCS
    resvgthumbnailer.cpp
)

add_library(resvgthumbnailer MODULE ${resvgthumbnailer_PART_SRCS})

target_link_libraries(resvgthumbnailer Qt5::Core Qt5::Gui KF5::KIOWidgets KF5::KIOCore KF5::I18n KF5::ConfigCore KF5::ConfigGui resvg)

install(TARGETS resvgthumbnailer DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES resvgthumbnailer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
resvg (0.8.0-4) unstable; urgency=high

  * Fix the librust-jpeg-decoder-0.1-dev dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 02 Jan 2021 16:48:41 +0100

resvg (0.8.0-3) unstable; urgency=medium

  * Remove unavailable depends or provides.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 22 Dec 2020 12:33:25 +0100

resvg (0.8.0-2) unstable; urgency=medium

  * Fix the dependency in librust-usvg-dev.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Nov 2020 13:32:22 +0100

resvg (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Update the dependencies, drop binary packages for individual features.
  * Update the examples.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Nov 2020 23:06:38 +0100

resvg (0.5.0-2) unstable; urgency=medium

  * No changes rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 00:37:55 +0200

resvg (0.5.0-1) unstable; urgency=medium

  * Initial upload (Closes: #918910).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 11 Feb 2019 14:13:43 +0100

=== debian/control ===
Source: resvg
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-cargo (>= 10),
 cargo:native,
 rustc:native,
 librust-base64-0+default-dev (>= 0.10-~~),
 librust-cairo-rs-0+default-dev (>= 0.7-~~),
 librust-cairo-rs-0+png-dev (>= 0.7-~~),
 librust-cairo-sys-rs-0+default-dev (>= 0.7.0-~~),
 librust-cc-1+default-dev,
 librust-data-url-0+default-dev,
 librust-fern-0+default-dev (>= 0.5-~~),
 librust-gdk-pixbuf-0+default-dev (>= 0.5-~~),
 librust-gio-0+default-dev (>= 0.5.0-~~),
 librust-glib-0+default-dev (>= 0.6.0-~~),
 librust-gtk-0+default-dev (>= 0.5.0-~~),
 librust-harfbuzz-rs-1+default-dev,
 librust-jpeg-decoder-0.1-dev (>= 0.1.15-~~),
 librust-kurbo-0.7+default-dev (>= 0.7-~~),
 librust-libflate-0+default-dev (>= 0.1-~~),
 librust-log-0+default-dev (>= 0.4-~~),
 librust-lyon-geom-0+default-dev (>= 0.12-~~),
 librust-memmap-0+default-dev (>= 0.7-~~),
 librust-pico-args-0.3+default-dev,
 librust-pango-0+default-dev (>= 0.5-~~),
 librust-pangocairo-0+default-dev (>= 0.6-~~),
 librust-pkg-config-0+default-dev (>= 0.3-~~),
 librust-png-0+default-dev (>= 0.15-~~),
 librust-rctree-0+default-dev (>= 0.3-~~),
 librust-roxmltree-0.7+default-dev,
 librust-rgb-0+default-dev (>= 0.8-~~),
 librust-simplecss-0.2+default-dev,
 librust-siphasher-0.3+default-dev (>= 0.3-~~),
 librust-svgtypes-0.5+default-dev,
 librust-time-0+default-dev (>= 0.1-~~),
 librust-ttf-parser-0+default-dev (>= 0.3-~~),
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev,
 libstd-rust-dev,
 patchelf,
 qtbase5-dev,
Maintainer: Andrej Shadura <andrewsh@debian.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/RazrFalcon/resvg
Vcs-Git: https://salsa.debian.org/debian/resvg.git
Vcs-Browser: https://salsa.debian.org/debian/resvg

Package: libresvg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libresvg0 (= ${binary:Version})
Description: SVG rendering library (development files)
 libresvg is a library to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 libresvg supports Cairo and Qt backends.
 .
 This package provides development files for libresvg.

Package: libresvg0
Section: libs
Architecture: any
Multi-Arch: same
Provides:
 libresvg0-cairo,
 libresvg0-qt
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: SVG rendering library (shared library)
 libresvg is a library to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 libresvg supports Cairo and Qt backends.
 .
 This package provides the libresvg shared library.

Package: librust-resvg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cairo-rs-0+png-dev (>= 0.7-~~),
 librust-jpeg-decoder-0.1-dev (>= 0.1.15-~~),
 librust-log-0+default-dev (>= 0.4-~~),
 librust-png-0-dev,
 librust-resvg-qt-0.8+default-dev,
 librust-rgb-0.8+default-dev,
 librust-usvg-0.8+default-dev
Provides:
 librust-resvg+cairo-backend-dev (= ${binary:Version}),
 librust-resvg+cairo-rs-dev (= ${binary:Version}),
 librust-resvg+default-dev (= ${binary:Version}),
 librust-resvg+qt-backend-dev (= ${binary:Version}),
 librust-resvg+resvg-qt-dev (= ${binary:Version}),
 librust-resvg-0-dev (= ${binary:Version}),
 librust-resvg-0+cairo-backend-dev (= ${binary:Version}),
 librust-resvg-0+cairo-rs-dev (= ${binary:Version}),
 librust-resvg-0+default-dev (= ${binary:Version}),
 librust-resvg-0+qt-backend-dev (= ${binary:Version}),
 librust-resvg-0+resvg-qt-dev (= ${binary:Version}),
 librust-resvg-0.8-dev (= ${binary:Version}),
 librust-resvg-0.8+cairo-backend-dev (= ${binary:Version}),
 librust-resvg-0.8+cairo-rs-dev (= ${binary:Version}),
 librust-resvg-0.8+default-dev (= ${binary:Version}),
 librust-resvg-0.8+qt-backend-dev (= ${binary:Version}),
 librust-resvg-0.8+resvg-qt-dev (= ${binary:Version}),
 librust-resvg-0.8.0-dev (= ${binary:Version}),
 librust-resvg-0.8.0+cairo-backend-dev (= ${binary:Version}),
 librust-resvg-0.8.0+cairo-rs-dev (= ${binary:Version}),
 librust-resvg-0.8.0+default-dev (= ${binary:Version}),
 librust-resvg-0.8.0+qt-backend-dev (= ${binary:Version}),
 librust-resvg-0.8.0+resvg-qt-dev (= ${binary:Version}),
Description: SVG rendering library - Rust source code
 This package contains the source for the Rust resvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-resvg-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librust-cc-1+default-dev,
 librust-pkg-config-0+default-dev (>= 0.3-~~),
 ${misc:Depends}
Provides:
 librust-resvg-qt+default-dev (= ${binary:Version}),
 librust-resvg-qt-0-dev (= ${binary:Version}),
 librust-resvg-qt-0+default-dev (= ${binary:Version}),
 librust-resvg-qt-0.8-dev (= ${binary:Version}),
 librust-resvg-qt-0.8+default-dev (= ${binary:Version}),
 librust-resvg-qt-0.8.0-dev (= ${binary:Version}),
 librust-resvg-qt-0.8.0+default-dev (= ${binary:Version})
Description: Minimal bindings to Qt used by resvg - Rust source code
 This package contains the source for the Rust resvg-qt crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-usvg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librust-base64-0+default-dev (>= 0.10-~~),
 librust-data-url-0+default-dev,
 librust-harfbuzz-rs-1+default-dev,
 librust-kurbo-0.7+default-dev (>= 0.7-~~),
 librust-libflate-0+default-dev (>= 0.1-~~),
 librust-log-0+default-dev (>= 0.4-~~),
 librust-memmap-0+default-dev (>= 0.7-~~),
 librust-rctree-0+default-dev,
 librust-roxmltree-0.7+default-dev,
 librust-simplecss-0.2+default-dev,
 librust-siphasher-0.3+default-dev (>= 0.3-~~),
 librust-svgtypes-0.5+default-dev,
 librust-ttf-parser-0+default-dev (>= 0.3-~~),
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev
 ${misc:Depends}
Provides:
 librust-usvg+default-dev (= ${binary:Version}),
 librust-usvg-0-dev (= ${binary:Version}),
 librust-usvg-0+default-dev (= ${binary:Version}),
 librust-usvg-0.8-dev (= ${binary:Version}),
 librust-usvg-0.8+default-dev (= ${binary:Version}),
 librust-usvg-0.8.0-dev (= ${binary:Version}),
 librust-usvg-0.8.0+default-dev (= ${binary:Version})
Description: SVG simplification library - Rust source code
 This package contains the source for the Rust usvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: resvg
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: SVG rendering library (command-line utility)
 resvg is a command-line utility to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 resvg supports Cairo and Qt backends.

Package: usvg
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: SVG simplification tool
 usvg is a command-line utility to simplify SVG files based on a static
 SVG Full 1.1 subset. It converts an input SVG to an extremely
 simple representation, which is still a valid SVG:
 .
  * No basic shapes (rect, circle, etc), only paths
  * Only simple paths
  * All supported attributes are resolved
  * Invisible elements are removed
  * Comments will be removed
  * DTD will be resolved
  * CSS will be resolved
 .
 and so on.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS=1

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk

root-crate=$(DEB_SOURCE)
version=$(DEB_VERSION_UPSTREAM)

CARGO := /usr/share/cargo/bin/cargo
export CARGO_HOME := $(CURDIR)/debian/cargo_home

export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE

SONAME=libresvg.so.0

dev-packages = $(filter librust-%-dev,$(shell dh_listpackages))
feature-packages = $(foreach package,$(dev-packages),$(if $(findstring +,$(package)),$(package),))
lib-packages = $(foreach package,$(dev-packages),$(if $(findstring +,$(package)),,$(package)))
crates = $(patsubst librust-%-dev,%,$(lib-packages))
pods = $(wildcard debian/*.pod)
manpages = $(pods:.pod=.1)

install-%: source=$(CURDIR)/$(filter-out $(root-crate),$(crate))
install-%: sources=$(foreach file,$(patsubst $(source)/%,%,$(wildcard $(source)/*)),$(if $(filter $(file),debian target $(filter-out $(root-crate),$(crates))),,$(file)))
install-%: pkgdir=$(CURDIR)/debian/librust-$*-dev
install-%: target=$(pkgdir)/usr/share/cargo/registry/$(crate)-$(version)
install-%: crate=$*

install-%:
	mkdir -p $(target)
	cd $(source); \
	: installing $(crate); \
	cp --parents -at $(target) $(sources); \
	cp $(CURDIR)/debian/rust-$(crate)-$(version).metadata/cargo-checksum.json $(target)/.cargo-checksum.json; \
	touch -d@$(SOURCE_DATE_EPOCH) $(target)/Cargo.toml;
	for pkg in $(filter librust-$*+%,$(feature-packages)); \
	do \
		mkdir -p $(CURDIR)/debian/$$pkg/usr/share/doc; \
		ln -s librust-$*-dev $(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg; \
	done

override_dh_auto_install: $(crates:%=install-%)
	install -D       -t debian/tmp/usr/bin \
		target/*/release/rendersvg target/*/release/usvg
	install -D -m644 -t debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
		target/*/release/libresvg.so.*
	install -D -m644 -t debian/tmp/usr/include \
		capi/include/*.h
	ln -sf $(SONAME) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libresvg.so

%:
	dh $@

override_dh_auto_clean:
	-$(CARGO) clean
	-rm -rf debian/cargo_registry $(CARGO_HOME) debian/*.1

override_dh_auto_configure:
	-[ ! -d debian/cargo_registry ] && \
	mkdir -p $(CARGO_HOME) debian/cargo_registry && \
	for d in /usr/share/cargo/registry/*; \
	do \
		ln -s $$d debian/cargo_registry/; \
	done
	rm -f Cargo.lock
	DEB_CARGO_CRATE=resvg $(CARGO) prepare-debian debian/cargo_registry

%.1: %.pod
	touch -d@$(SOURCE_DATE_EPOCH) $<
	pod2man -r "resvg $(version)" -c "Resvg Documentation" $< > $@

override_dh_auto_build: $(manpages)
	$(CARGO) build --release --all-features --all
	mv target/$(DEB_HOST_RUST_TYPE)/release/libresvg.so target/$(DEB_HOST_RUST_TYPE)/release/$(SONAME)

override_dh_strip:
	dh_strip
	patchelf --set-soname $(SONAME) debian/libresvg*/usr/lib/*/$(SONAME)

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/resvg-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/  \
  https://github.com/RazrFalcon/resvg/tags .*/archive/v(\d[^\s\-]*)\.tar\.gz

## resvg 0.44.0

=== tools/kde-dolphin-thumbnailer/CMakeLists.txt ===
project(resvgthumbnailer)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(KF5 REQUIRED COMPONENTS KIO I18n Config)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../../crates/c-api
)

set(resvgthumbnailer_PART_SRCS
    resvgthumbnailer.cpp
)

add_library(resvgthumbnailer MODULE ${resvgthumbnailer_PART_SRCS})

target_link_libraries(resvgthumbnailer KF5::KIOWidgets KF5::KIOCore KF5::I18n KF5::ConfigCore KF5::ConfigGui resvg)

install(TARGETS resvgthumbnailer DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES resvgthumbnailer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
resvg (0.44.0-4) unstable; urgency=medium

  * fix autopkgtest-dependencies;
    add patch 1002 to add feature fencing for tests;
    closes: bug#1098474, thanks to NoisyCoil
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 10:14:52 +0100

resvg (0.44.0-3) unstable; urgency=medium

  * update git-buildpackage config: simplify usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
  * use package section rust (not libdevel) for rust crates

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 16:20:28 +0100

resvg (0.44.0-2) experimental; urgency=medium

  * drop patches 2001_data-url 2001_gif 2001_kurbo,
    obsoleted by Debian packaging changes;
    tighten (build-)dependencies for crates data-url gif kurbo
  * fix install generated upstream changelog

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 15:57:31 +0100

resvg (0.44.0-1) experimental; urgency=medium

  * reintroduce package,
    without C binding binary packages for now

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jan 2025 20:35:21 +0100

resvg (0.44.0-1+keeppkg) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Andrej Shadura ]
  * Remove cargo-checksums, they're no longer needed

  [ Jonas Smedegaard ]
  * adopt package;
    thanks to Andrej Shadura for previous work
  * add git-buildpackage config to source package
  * reorganize and update patches,
    using upstream cherry-picked patches where possible;
    add DEP-3 patch headers;
    add file debian/patches/README documenting patch naming micro-policy
  * add source helper tool copyright-check
  * update copyright info:
    + use License-Grant and Reference fields
    + normalize whitespace
    + update coverage, thanks to copyright-check
  * use declarative debhelper snippet for cleaning static paths
  * use debhelper compatibility level 13 (not 12)
  * simplify rules;
    build-depend on dh-sequence-cargo
    (not dh-cargo cargo rustc libstd-rust-dev)
  * set rust packages as arch:all multi-ach:foreign
    (not arch:any multi-arch:same)
  * declare compliance with Debian Policy 4.7.0
  * update watch file:
    + add usage comment
    + use substitution strings
    + improve filename mangling
    + drop seemingly unused prerelease handling
  * stop provide binary package librust-resvg-qt-dev
    or provide virtual packages libresvg0-cairo libresvg0-qt,
    as upstream provided only one C binding now
  * update (build-)dependencies
    and virtually provided crate and feature packages
    with simplified dependency versioning
  * wrap and sort control files and debhelper snippets
  * add autopkgtests
  * generate documentation from upstream source;
    build-depend on asciidoctor cmark-gfm help2man
    libstring-shellquote-perl
  * temporarily avoid building C binding
  * omit some failing tests,
    possibly related to misaligned crates
  * add patch 2002 to avoid privacy leak in documentation

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jan 2025 18:46:16 +0100

=== debian/control ===
Source: resvg
Section: graphics
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 asciidoctor <!nodoc>,
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-rust,
 help2man <!nodoc>,
 librust-base64-0.22+default-dev,
 librust-data-url-0.3+default-dev,
 librust-flate2-1+rust-backend-dev,
 librust-fontdb-0.22+default-dev,
 librust-fontdb-0.22+fontconfig-dev,
 librust-fontdb-0.22+fs-dev,
 librust-fontdb-0.22+memmap-dev,
 librust-gif-0.13+default-dev,
 librust-image-webp-0.2+default-dev,
 librust-imagesize-0.13+default-dev,
 librust-kurbo-0.11+default-dev,
 librust-log-0.4+default-dev,
 librust-once-cell-1+default-dev,
 librust-pico-args-0.5+default-dev,
 librust-pico-args-0.5+eq-separator-dev,
 librust-png-0.17+default-dev,
 librust-rgb-0.8+default-dev,
 librust-roxmltree-0.20+default-dev,
 librust-rustybuzz-0.18+default-dev,
 librust-simplecss-0.2+default-dev,
 librust-siphasher-1+default-dev,
 librust-strict-num-0.1+default-dev,
 librust-svgtypes-0.15+default-dev,
 librust-tiny-skia-0.11+default-dev,
 librust-tiny-skia-path-0.11+default-dev,
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev,
 librust-zune-jpeg-0.4+default-dev,
 libstring-shellquote-perl <!nodoc>,
# patchelf,
# qtbase5-dev,
Standards-Version: 4.7.1
Rules-Requires-Root: no
Homepage: https://github.com/RazrFalcon/resvg
Vcs-Git: https://salsa.debian.org/debian/resvg.git
Vcs-Browser: https://salsa.debian.org/debian/resvg

#Package: libresvg-dev
#Section: libdevel
#Architecture: any
#Multi-Arch: same
#Depends:
# libresvg0 (= ${binary:Version}),
# ${misc:Depends},
#Provides:
# libresvg-dev,
# librust-resvg-capi-0.44.0-dev (= ${binary:Version}),
#Description: SVG rendering library (development files)
# libresvg is a library to render SVG files based on a static
# SVG Full 1.1 subset. It is a fast, small, portable, multiple
# backend SVG library designed for edge-cases.
# .
# libresvg supports Cairo and Qt backends.
# .
# This package provides development files for libresvg.

#Package: libresvg0
#Section: libs
#Architecture: any
#Multi-Arch: same
#Depends:
# ${misc:Depends},
# ${shlibs:Depends},
#Description: SVG rendering library (shared library)
# libresvg is a library to render SVG files based on a static
# SVG Full 1.1 subset. It is a fast, small, portable, multiple
# backend SVG library designed for edge-cases.
# .
# libresvg supports Cairo and Qt backends.
# .
# This package provides the libresvg shared library.

Package: librust-resvg-dev
Section: rust
Architecture: all
Multi-Arch: foreign
Depends:
 librust-gif-0.13+default-dev,
 librust-image-webp-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-pico-args-0.5+default-dev,
 librust-pico-args-0.5+eq-separator-dev,
 librust-rgb-0.8+default-dev,
 librust-svgtypes-0.15+default-dev,
 librust-tiny-skia-0.11+default-dev,
 librust-usvg-0.44+default-dev,
 librust-usvg-0.44+memmap-fonts-dev,
 librust-usvg-0.44+system-fonts-dev,
 librust-usvg-0.44+text-dev,
 librust-zune-jpeg-0.4+default-dev,
 ${misc:Depends},
Provides:
 librust-resvg-0.44+default-dev (= ${binary:Version}),
 librust-resvg-0.44+memmap-fonts-dev (= ${binary:Version}),
 librust-resvg-0.44+raster-images-dev (= ${binary:Version}),
 librust-resvg-0.44+system-fonts-dev (= ${binary:Version}),
 librust-resvg-0.44+text-dev (= ${binary:Version}),
 librust-resvg-0.44-dev (= ${binary:Version}),
 librust-resvg-0.44.0-dev (= ${binary:Version}),
Description: SVG rendering library - Rust source code
 This package contains the source for the Rust resvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-usvg-dev
Section: rust
Architecture: all
Multi-Arch: foreign
Depends:
 librust-base64-0.22+default-dev,
 librust-data-url-0.3+default-dev,
 librust-flate2-1+rust-backend-dev,
 librust-fontdb-0.22+default-dev,
 librust-fontdb-0.22+fontconfig-dev,
 librust-fontdb-0.22+fs-dev,
 librust-fontdb-0.22+memmap-dev,
 librust-imagesize-0.13+default-dev,
 librust-kurbo-0.11+default-dev,
 librust-log-0.4+default-dev,
 librust-pico-args-0.5+default-dev,
 librust-pico-args-0.5+eq-separator-dev,
 librust-roxmltree-0.20+default-dev,
 librust-rustybuzz-0.18+default-dev,
 librust-simplecss-0.2+default-dev,
 librust-siphasher-1+default-dev,
 librust-strict-num-0.1+default-dev,
 librust-svgtypes-0.15+default-dev,
 librust-tiny-skia-path-0.11+default-dev,
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev,
 ${misc:Depends},
Provides:
 librust-usvg-0.44+default-dev (= ${binary:Version}),
 librust-usvg-0.44+memmap-fonts-dev (= ${binary:Version}),
 librust-usvg-0.44+system-fonts-dev (= ${binary:Version}),
 librust-usvg-0.44+text-dev (= ${binary:Version}),
 librust-usvg-0.44-dev (= ${binary:Version}),
 librust-usvg-0.44.0-dev (= ${binary:Version}),
Description: SVG simplification library - Rust source code
 This package contains the source for the Rust usvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: resvg
X-Cargo-Crates:
 resvg,
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SVG rendering library (command-line utility)
 resvg is a command-line utility to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 resvg supports Cairo and Qt backends.

Package: usvg
X-Cargo-Crates:
 usvg,
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SVG simplification tool
 usvg is a command-line utility to simplify SVG files based on a static
 SVG Full 1.1 subset. It converts an input SVG to an extremely
 simple representation, which is still a valid SVG:
 .
  * No basic shapes (rect, circle, etc), only paths
  * Only simple paths
  * All supported attributes are resolved
  * Invisible elements are removed
  * Comments will be removed
  * DTD will be resolved
  * CSS will be resolved
 .
 and so on.

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_DISTRIBUTION DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

# resolve if release is experimental
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# generate documentation unless nodoc requested
DOCS_stem = README $(basename $(wildcard docs/*.md crates/*/*.md))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = $(addsuffix .html,$(DOCS_stem)) $(addsuffix .txt,$(DOCS_stem))
DOCS += crates/usvg/docs/spec.html
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
MANPAGES = debian/resvg.1 debian/usvg.1
endif

# generate manual pages from output of clap-based Rust binary
#  arguments: 1:MANFILEPATH 2:COMMANDPATH 3:SUBCOMMAND(S)
_help2man = \
 $(eval suffix = $(lastword $(subst ., ,$(1))))\
 $(eval stem = $(patsubst %.$(suffix),%,$(1)))\
 help2man --section $(suffix) --no-info \
 --version-string='$(DEB_VERSION_UPSTREAM)' \
 --name $(shell $(2) $(3) --help | head --lines=1 | xargs -0 shell-quote --) \
 --output '$(stem)$(if $(3),-$(subst $() ,-,$(strip $(3)))).$(suffix)' \
 '$(2)$(if $(3), $(3))' \
 || { $(2) $(3) --help; false; }

#SONAME=libresvg.so.0

pods = $(wildcard debian/*.pod)
manpages = $(pods:.pod=.1)

#execute_after_dh_auto_install:
#	ln -sf $(SONAME) debian/tmp/usr/lib/*/libresvg.so

TEST_BROKEN = \
 render::structure_style_rule_specificity \
 render::structure_transform_origin_on_text_path \
 render::text_alignment_baseline_middle_on_textPath \
 render::text_alignment_baseline_two_textPath_with_middle_on_first \
 render::text_lengthAdjust_text_on_path \
 render::text_textPath_closed_path \
 render::text_textPath_complex \
 render::text_textPath_dy_with_tiny_coordinates \
 render::text_textPath_link_to_rect \
 render::text_textPath_m_A_path \
 render::text_textPath_method_eq_stretch \
 render::text_textPath_mixed_children_1 \
 render::text_textPath_mixed_children_2 \
 render::text_textPath_m_L_Z_path \
 render::text_textPath_nested \
 render::text_textPath_path_with_ClosePath \
 render::text_textPath_path_with_subpaths \
 render::text_textPath_path_with_subpaths_and_startOffset \
 render::text_textPath_side_eq_right \
 render::text_textPath_simple_case \
 render::text_textPath_spacing_eq_auto \
 render::text_textPath_startOffset_eq__100 \
 render::text_textPath_startOffset_eq_10percent \
 render::text_textPath_startOffset_eq_30 \
 render::text_textPath_startOffset_eq_5mm \
 render::text_textPath_tspan_with_absolute_position \
 render::text_textPath_tspan_with_relative_position \
 render::text_textPath_two_paths \
 render::text_textPath_very_long_text \
 render::text_textPath_with_baseline_shift \
 render::text_textPath_with_baseline_shift_and_rotate \
 render::text_textPath_with_big_letter_spacing \
 render::text_textPath_with_coordinates_on_text \
 render::text_textPath_with_coordinates_on_textPath \
 render::text_textPath_with_filter \
 render::text_textPath_with_letter_spacing \
 render::text_textPath_with_rotate \
 render::text_textPath_with_text_anchor \
 render::text_textPath_with_transform_on_a_referenced_path \
 render::text_textPath_with_transform_outside_a_referenced_path \
 render::text_textPath_with_underline \
 render::text_textPath_writing_mode_eq_tb

%:
	dh $@

%.html: %.adoc
	asciidoctor -a webfonts! $<

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

execute_after_dh_auto_build: $(DOCS) $(CHANGELOGS)

override_dh_auto_test:
	dh_auto_test --buildsystem rust -- \
	 --no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
	$(if $(DEB_SUITE_EXP),\
	 dh_auto_test --buildsystem rust -- --no-fail-fast || true)

execute_after_dh_auto_install-arch: $(MANPAGES)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

# build manpages
debian/resvg.1: debian/%.1: debian/resvg/usr/bin/%
	$(call _help2man,$@,$<)
debian/usvg.1: debian/%.1: debian/usvg/usr/bin/%
	$(call _help2man,$@,$<)

#execute_after_dh_strip:
#	patchelf --set-soname $(SONAME) debian/libresvg*/usr/lib/*/$(SONAME)

=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.44.0
 --all-targets --all-features
Features:
 test-name=rust-resvg:@,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.44-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.44.0
 --all-targets
Features:
 test-name=rust-resvg:default,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.44+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.44.0
 --all-targets --no-default-features
Features:
 test-name=rust-resvg:,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.44-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.44.0
 --all-targets --no-default-features --features memmap-fonts
Features:
 test-name=rust-resvg:memmap-fonts,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.44+memmap-fonts-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.44.0
 --all-targets --no-default-features --features raster-images
Features:
 test-name=rust-resvg:raster-images,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.44+raster-images-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.44.0
 --all-targets --no-default-features --features system-fonts
Features:
 test-name=rust-resvg:system-fonts,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.44+system-fonts-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.44.0
 --all-targets --no-default-features --features text
Features:
 test-name=rust-resvg:text,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.44+text-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.44.0
 --all-targets --all-features
Features:
 test-name=rust-usvg:@,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.44-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.44.0
 --all-targets
Features:
 test-name=rust-usvg:default,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.44+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.44.0
 --all-targets --no-default-features
Features:
 test-name=rust-usvg:,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.44-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.44.0

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
uversionmangle=s/\d\K-([a-z]+)\.?(\d)?/~$1$2/,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/RazrFalcon/resvg/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## resvg 0.45.0

=== debian/changelog ===
resvg (0.45.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 12:15:08 +0200

resvg (0.45.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update URIs to upstream source and issue tracker
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * build-depend on packages for crates itertools phf phf_codegen
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage
  * add TODO note about autogenerated files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 10:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,12 @@
  librust-gif-0.13+default-dev,
  librust-image-webp-0.2+default-dev,
  librust-imagesize-0.13+default-dev,
+ librust-itertools-0.13+default-dev,
  librust-kurbo-0.11+default-dev,
  librust-log-0.4+default-dev,
  librust-once-cell-1+default-dev,
+ librust-phf-0.11+default-dev,
+ librust-phf-codegen-0.11+default-dev,
  librust-pico-args-0.5+default-dev,
  librust-pico-args-0.5+eq-separator-dev,
  librust-png-0.17+default-dev,
@@ -41,9 +44,9 @@
  libstring-shellquote-perl <!nodoc>,
 # patchelf,
 # qtbase5-dev,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://github.com/RazrFalcon/resvg
+Homepage: https://github.com/linebender/resvg
 Vcs-Git: https://salsa.debian.org/debian/resvg.git
 Vcs-Browser: https://salsa.debian.org/debian/resvg
 
@@ -56,7 +59,7 @@
 # ${misc:Depends},
 #Provides:
 # libresvg-dev,
-# librust-resvg-capi-0.44.0-dev (= ${binary:Version}),
+# librust-resvg-capi-0.45.0-dev (= ${binary:Version}),
 #Description: SVG rendering library (development files)
 # libresvg is a library to render SVG files based on a static
 # SVG Full 1.1 subset. It is a fast, small, portable, multiple
@@ -95,20 +98,20 @@
  librust-rgb-0.8+default-dev,
  librust-svgtypes-0.15+default-dev,
  librust-tiny-skia-0.11+default-dev,
- librust-usvg-0.44+default-dev,
- librust-usvg-0.44+memmap-fonts-dev,
- librust-usvg-0.44+system-fonts-dev,
- librust-usvg-0.44+text-dev,
+ librust-usvg-0.45+default-dev,
+ librust-usvg-0.45+memmap-fonts-dev,
+ librust-usvg-0.45+system-fonts-dev,
+ librust-usvg-0.45+text-dev,
  librust-zune-jpeg-0.4+default-dev,
  ${misc:Depends},
 Provides:
- librust-resvg-0.44+default-dev (= ${binary:Version}),
- librust-resvg-0.44+memmap-fonts-dev (= ${binary:Version}),
- librust-resvg-0.44+raster-images-dev (= ${binary:Version}),
- librust-resvg-0.44+system-fonts-dev (= ${binary:Version}),
- librust-resvg-0.44+text-dev (= ${binary:Version}),
- librust-resvg-0.44-dev (= ${binary:Version}),
- librust-resvg-0.44.0-dev (= ${binary:Version}),
+ librust-resvg-0.45+default-dev (= ${binary:Version}),
+ librust-resvg-0.45+memmap-fonts-dev (= ${binary:Version}),
+ librust-resvg-0.45+raster-images-dev (= ${binary:Version}),
+ librust-resvg-0.45+system-fonts-dev (= ${binary:Version}),
+ librust-resvg-0.45+text-dev (= ${binary:Version}),
+ librust-resvg-0.45-dev (= ${binary:Version}),
+ librust-resvg-0.45.0-dev (= ${binary:Version}),
 Description: SVG rendering library - Rust source code
  This package contains the source for the Rust resvg crate, packaged by debcargo
  for use with cargo and dh-cargo.
@@ -143,12 +146,12 @@
  librust-xmlwriter-0.1+default-dev,
  ${misc:Depends},
 Provides:
- librust-usvg-0.44+default-dev (= ${binary:Version}),
- librust-usvg-0.44+memmap-fonts-dev (= ${binary:Version}),
- librust-usvg-0.44+system-fonts-dev (= ${binary:Version}),
- librust-usvg-0.44+text-dev (= ${binary:Version}),
- librust-usvg-0.44-dev (= ${binary:Version}),
- librust-usvg-0.44.0-dev (= ${binary:Version}),
+ librust-usvg-0.45+default-dev (= ${binary:Version}),
+ librust-usvg-0.45+memmap-fonts-dev (= ${binary:Version}),
+ librust-usvg-0.45+system-fonts-dev (= ${binary:Version}),
+ librust-usvg-0.45+text-dev (= ${binary:Version}),
+ librust-usvg-0.45-dev (= ${binary:Version}),
+ librust-usvg-0.45.0-dev (= ${binary:Version}),
 Description: SVG simplification library - Rust source code
  This package contains the source for the Rust usvg crate, packaged by debcargo
  for use with cargo and dh-cargo.

=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --all-features
Features:
 test-name=rust-resvg:@,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets
Features:
 test-name=rust-resvg:default,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features
Features:
 test-name=rust-resvg:,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features memmap-fonts
Features:
 test-name=rust-resvg:memmap-fonts,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+memmap-fonts-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features raster-images
Features:
 test-name=rust-resvg:raster-images,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+raster-images-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features system-fonts
Features:
 test-name=rust-resvg:system-fonts,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+system-fonts-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features text
Features:
 test-name=rust-resvg:text,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+text-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
 --all-targets --all-features
Features:
 test-name=rust-usvg:@,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
 --all-targets
Features:
 test-name=rust-usvg:default,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.45+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
 --all-targets --no-default-features
Features:
 test-name=rust-usvg:,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0

## resvg 0.45.1

=== crates/c-api/examples/cairo/Makefile ===
TARGET = example
LIBS = -lm -L../../../../target/debug -lresvg `pkg-config --libs cairo`
CC = gcc
CFLAGS = -g -Wall `pkg-config --cflags cairo` -I../../

.PHONY: default all clean

default: $(TARGET)
all: default

OBJECTS = $(patsubst %.c, %.o, $(wildcard *.c))

%.o: %.c $(CC) $(CFLAGS) -c $< -o $@

.PRECIOUS: $(TARGET) $(OBJECTS)

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) -Wall $(LIBS) -o $@

clean:
	-rm -f *.o
	-rm -f $(TARGET)

=== debian/changelog ===
resvg (0.45.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Apr 2025 06:47:04 +0200

resvg (0.45.0-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to support SVGs without the xmlns attribute on the root
  * apply hardening flags
    and restore upstream default optimization level by default

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2025 11:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 # ${misc:Depends},
 #Provides:
 # libresvg-dev,
-# librust-resvg-capi-0.45.0-dev (= ${binary:Version}),
+# librust-resvg-capi-0.45.1-dev (= ${binary:Version}),
 #Description: SVG rendering library (development files)
 # libresvg is a library to render SVG files based on a static
 # SVG Full 1.1 subset. It is a fast, small, portable, multiple
@@ -111,7 +111,7 @@
  librust-resvg-0.45+system-fonts-dev (= ${binary:Version}),
  librust-resvg-0.45+text-dev (= ${binary:Version}),
  librust-resvg-0.45-dev (= ${binary:Version}),
- librust-resvg-0.45.0-dev (= ${binary:Version}),
+ librust-resvg-0.45.1-dev (= ${binary:Version}),
 Description: SVG rendering library - Rust source code
  This package contains the source for the Rust resvg crate, packaged by debcargo
  for use with cargo and dh-cargo.
@@ -151,7 +151,7 @@
  librust-usvg-0.45+system-fonts-dev (= ${binary:Version}),
  librust-usvg-0.45+text-dev (= ${binary:Version}),
  librust-usvg-0.45-dev (= ${binary:Version}),
- librust-usvg-0.45.0-dev (= ${binary:Version}),
+ librust-usvg-0.45.1-dev (= ${binary:Version}),
 Description: SVG simplification library - Rust source code
  This package contains the source for the Rust usvg crate, packaged by debcargo
  for use with cargo and dh-cargo.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,16 @@
 DOCS += crates/usvg/docs/spec.html
 CHANGELOGS = CHANGELOG.html CHANGELOG.txt
 MANPAGES = debian/resvg.1 debian/usvg.1
+endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
+
+# trust upstream optimization level unless explicitly disabled
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export DEB_CFLAGS_MAINT_STRIP = -O2
+export DEB_CXXFLAGS_MAINT_STRIP = -O2
 endif
 
 # generate manual pages from output of clap-based Rust binary

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # check single-feature tests only on amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --all-features
 Features:
  test-name=rust-resvg:@,
@@ -12,7 +12,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets
 Features:
  test-name=rust-resvg:default,
@@ -24,7 +24,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features
 Features:
  test-name=rust-resvg:,
@@ -36,7 +36,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features memmap-fonts
 Features:
  test-name=rust-resvg:memmap-fonts,
@@ -49,7 +49,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features raster-images
 Features:
  test-name=rust-resvg:raster-images,
@@ -62,7 +62,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features system-fonts
 Features:
  test-name=rust-resvg:system-fonts,
@@ -75,7 +75,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features text
 Features:
  test-name=rust-resvg:text,
@@ -88,7 +88,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1
  --all-targets --all-features
 Features:
  test-name=rust-usvg:@,
@@ -99,7 +99,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1
  --all-targets
 Features:
  test-name=rust-usvg:default,
@@ -110,7 +110,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1
  --all-targets --no-default-features
 Features:
  test-name=rust-usvg:,
@@ -121,4 +121,4 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1

=== debian/watch ===
--- 
+++ 
@@ -8,5 +8,5 @@
 downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
 searchmode=plain,\
 dversionmangle=auto \
-https://api.github.com/repos/RazrFalcon/resvg/git/matching-refs/tags/ \
+https://api.github.com/repos/linebender/resvg/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
